Subject: Re: bug#43638: [feature/native-comp] (setf seq-elt) is already defined as something else than a generic function

From: Andrea Corallo <[email-masked]>
Date: Sun, 27 Sep 2020 19:38:15 +0000

Jorge Javier Araya Navarro <[email-masked]> writes:

> Okay, let me clarify: Arch haven't packaged anything, this is a PKGBUILD from the Arch User Repository (AUR) and things
> are compiled locally and the PKGBUILD simplifies the process, on line 195 some options are set and on line 269 the actual
> configure takes place, then after that the compilation starts with `make NATIVE_FAST_BOOT=1` because, as I stated before,
> `FAST_BOOT` option in the script was set to "YES" (non-nil if you wish)
>
> for making things easier to everybody I will put all the options that are use in the configure phase:
>
> ./configure \
>     --prefix=/usr \
>     --sysconfdir=/etc \
>     --libexecdir=/usr/lib \
>     --localstatedir=/var \
>     --mandir=/usr/share/man \ 
>     --with-gameuser=:games \
>     --with-sound=alsa \
>     --with-modules \
>     --without-gconf \
>     --without-gsettings \
>     --with-nativecomp \
>     --with-pgtk \
>     --enable-link-time-optimization \
>     --with-x-toolkit=gtk3 \
>     --without-xaw3d \
>     --without-m17n-flt \ 
>     --with-cairo \
>     --with-xwidgets \
>     --without-compress-install
>
> and:
>
> make NATIVE_FAST_BOOT=1
>
> the latest commit from the feature branch merged into master on source code https://github.com/flatwhatson/emacs is
> 4a50f541447eddefcca3ebc6bedb110ac0041f90 "Fix MacOS Emacs.app installation (bug#43532)"

Hi Jorge,

again this is not sufficient.  For instance was the git repo cleaned
before compiling? was some sort of make clean invoked?  I suggested in
my last mail to invoke the script with '-x' so we should see all it's
appending.

Thanks

  Andrea